<template>
          <section class="py-20"  style="background-image: url('assets/imgs/illustrations/cube.jpg');background-color:rgba(0, 0, 0, 0.1);">
                <div class="container"  >
                    
                    <div class="max-w-2xl lg:max-w-3xl mx-auto"  style="background: #fff;padding: 50px 50px;border:1px solid #ccc">
                       
                        <div class="mb-12 text-center">
                            <h2 class="text-4xl font-bold font-heading " >{{ $t('content_section_5_1') }}</h2>
                            <p class="text-black " >{{ $t('content_section_5_2') }}</p>
                            <p class="text-black " ><strong>OPEN MON-FRI 9:30-18:00</strong></p>
                        </div>
                        <div class="flex flex-wrap -mx-3 text-center">
                             <div class="w-full " >
                               
                                    <img  src="assets/imgs/illustrations/office.png"  alt="" style="width:100%" />
                               
                             </div>
                            <div class="w-full lg:w-1/3 px-3 mb-12 "  style="border: 1px solid #ccc;padding: 30px 15px;">
                                <!-- <svg class="mb-6 h-8 w-8 mx-auto text-blue-600" xmlns="http://www.w3.org/2000/svg" fill="none" viewbox="0 0 24 24" stroke="currentColor">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M3 5a2 2 0 012-2h3.28a1 1 0 01.948.684l1.498 4.493a1 1 0 01-.502 1.21l-2.257 1.13a11.042 11.042 0 005.516 5.516l1.13-2.257a1 1 0 011.21-.502l4.493 1.498a1 1 0 01.684.949V19a2 2 0 01-2 2h-1C9.716 21 3 14.284 3 6V5z"></path>
                                </svg> -->
                                <div class="leading-relaxed">
                                    <span class="text-sm text-black"><strong>Phone</strong></span>
                                    <!-- <p class="text-sm">+ 66 96-994-4699</p> -->
                                    <p class="text-sm">+ 66 63-939-9646</p>
                                    <!-- <p class="text-sm">+ 1 6532-430-309</p> -->
                                </div>
                            </div>
                            <div class="w-full lg:w-1/3 px-3 mb-12 "  style="border: 1px solid #ccc;padding: 30px 15px;">
                                <!-- <svg class="mb-6 h-8 w-8 mx-auto text-blue-600" xmlns="http://www.w3.org/2000/svg" fill="none" viewbox="0 0 24 24" stroke="currentColor">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M3 8l7.89 5.26a2 2 0 002.22 0L21 8M5 19h14a2 2 0 002-2V7a2 2 0 00-2-2H5a2 2 0 00-2 2v10a2 2 0 002 2z"></path>
                                </svg> -->
                                <div class="leading-relaxed">
                                    <span class="text-sm text-black"><strong>E-mail</strong></span>
                                    <p class="text-sm">support@dee.farm</p>
                                    <!-- <p class="text-sm">hello.deefarm@gmail.com</p> -->
                                </div>
                            </div>
                            <div class="w-full lg:w-1/3 px-3 mb-12 "  style="border: 1px solid #ccc;padding: 30px 15px;">
                                <!-- <svg class="mb-6 h-8 w-8 mx-auto text-blue-600" xmlns="http://www.w3.org/2000/svg" fill="none" viewbox="0 0 24 24" stroke="currentColor">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M17.657 16.657L13.414 20.9a1.998 1.998 0 01-2.827 0l-4.244-4.243a8 8 0 1111.314 0z"></path>
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15 11a3 3 0 11-6 0 3 3 0 016 0z"></path>
                                </svg> -->
                                <div class="leading-relaxed">
                                    <span class="text-sm text-black"><strong>The OfficePlus</strong></span>
                                    <p class="text-sm">55 Moo 7 Chiang Mai Hod Road, Muang, Chiang Mai 50200</p>
                                </div>
                            </div>
                        </div>
                        <div>
                            <div v-if="active == true" ><iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d15111.357179761519!2d98.9711775!3d18.760714!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x0%3A0x184404e6b402aaba!2sThe%20OfficePlus!5e0!3m2!1sen!2sth!4v1657499263633!5m2!1sen!2sth" width="100%" height="450" style="border:1px solid #ccc" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe></div>
                            <br>
                            <form v-hide="active == true">
                                <div class="mb-4 text-sm " >
                                    <span class="mr-4 font-semibold">{{ $t('departament') }}</span>
                                    <label class="mr-4">
                                        <input class="mr-1" type="radio" name="department" value="1" checked="" />
                                        <span>Support</span>
                                    </label>
                                    <label>
                                        <input class="mr-1" type="radio" name="department" value="2" />
                                        <span>Sales</span>
                                    </label>
                                </div>
                                <div class="flex flex-wrap mb-4 -mx-3 " >
                                    <div class="w-full lg:w-1/2 px-3 mb-4 lg:mb-0">
                                        <div class="mb-4">
                                            <input class="w-full p-4 text-xs font-semibold leading-none bg-blueGray-50 rounded outline-none" type="text" :placeholder="[[ $t('subject') ]]" />
                                        </div>
                                        <div class="mb-4">
                                            <input class="w-full p-4 text-xs font-semibold leading-none bg-blueGray-50 rounded outline-none" type="text" :placeholder="[[ $t('name') ]]" />
                                        </div>
                                        <div class="mb-4">
                                            <input class="w-full p-4 text-xs font-semibold leading-none bg-blueGray-50 rounded outline-none" type="email" placeholder="name@example.com" />
                                        </div>
                                        <!-- <div>
                                            <label class="flex px-2 bg-blueGray-50 rounded">
                                                <input class="hidden" type="file" name="Choose file" />
                                                <span class="my-1 ml-auto px-4 py-3 text-xs text-white font-semibold leading-none bg-blueGray-500 hover:bg-blueGray-600 rounded cursor-pointer"> Browse</span>
                                            </label>
                                        </div> -->
                                    </div>
                                    <div class="w-full lg:w-1/2 px-3">
                                        <textarea class="w-full h-full p-4 text-xs font-semibold leading-none resize-none bg-blueGray-50 rounded outline-none" :placeholder="[[ $t('message') ]]"></textarea>
                                    </div>
                                </div>
                                <div class="flex justify-between items-center">
                                    <label>
                                        <input class="mr-1" type="checkbox" name="terms" value="1" />
                                        <span class="text-sm font-semibold">{{ $t('agree') }}</span>
                                    </label>
                                    <button class="py-4 px-8 text-sm text-white font-semibold leading-none bg-blue-400 hover:bg-blue-500 rounded" type="submit">Submit</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
          </section>

</template>


<script>
export default {
  

   "name" : "Contactform",
   "props" : ['active'], 
   methods: {
        init: function () {

            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());
            
            gtag('config', 'UA-235327332-1');
  
        }
  },

  mounted() {
        
      this.init();
    
  },
   
}
</script>